Bug 241858 - x11-fonts/bitter: Update to 20141110
Summary: x11-fonts/bitter: Update to 20141110
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Raphael Kubo da Costa
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-11-10 13:21 UTC by m.ne
Modified: 2019-11-20 17:58 UTC (History)
0 users

See Also:
rakuco: maintainer-feedback+


Attachments
patch for x11-fonts/bitter to 20141110 (1.15 KB, patch)
2019-11-10 13:21 UTC, m.ne
no flags Details | Diff
Patch for switching to the github release (1.36 KB, patch)
2019-11-11 13:37 UTC, m.ne
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description m.ne 2019-11-10 13:21:41 UTC
Created attachment 209033 [details]
patch for x11-fonts/bitter to 20141110

- Update the port
- Make fetchable again
- Add NO_ARCH
- Reorder some variables
Comment 1 Raphael Kubo da Costa freebsd_committer 2019-11-11 10:46:00 UTC
Thanks for the patch, I didn't even know the port had been marked broken.

How did you come up with the new version number? Even though the OTF files in an old FreeBSD package and the ones from a new download from huertatipografica.com, the metadata looks identical (same copyright, version and glyph count).
Comment 2 Raphael Kubo da Costa freebsd_committer 2019-11-11 10:53:19 UTC
Hmm, there's a properly versioned release (2.110) on GitHub: https://github.com/solmatas/Bitter

I think the best option is to bump PORTEPOCH and switch to the GitHub release.
Comment 3 m.ne 2019-11-11 13:22:50 UTC
(In reply to Raphael Kubo da Costa from comment #1)
For the new version I just took the timestamp of the OTF files, as the previous version matched the timestamps from the old archive.

I agree switching to the github release would be better, both for having a proper version and that release being yet more recent. I just hadn't looked there, because there was no obvious reference on the font website.
Comment 4 m.ne 2019-11-11 13:37:04 UTC
Created attachment 209058 [details]
Patch for switching to the github release

I changed the portname from bitter to Bitter because that seemed to be the easiest way to make the GH release work. I figured that having to bump the epoch would already be a quite severe measure, that this wouldn't be too much of an issue. On the other hand, starting to do some DISTNAME gymnastics just to keep the lower case doesn't look very appealing to me.
Comment 5 commit-hook freebsd_committer 2019-11-17 12:06:38 UTC
A commit references this bug:

Author: rakuco
Date: Sun Nov 17 12:06:16 UTC 2019
New revision: 517821
URL: https://svnweb.freebsd.org/changeset/ports/517821

Log:
  Unbreak the port.

  - Switch to fetching from GitHub.
  - The GitHub release uses a different versioning method (or rather, it follows
    a convention, while the zip file in the previous MASTER_SITES did not).
  - Add NO_ARCH since we only install OTF files.

  PR:		241858
  Submitted by:	m.ne@gmx.net
  MFH:		2019Q4

Changes:
  head/x11-fonts/bitter/Makefile
  head/x11-fonts/bitter/distinfo
Comment 6 Raphael Kubo da Costa freebsd_committer 2019-11-17 12:08:15 UTC
Thank you, and sorry it took me a while to get back to this. The version I've landed differs slightly from the patch you sent here:

- Changing PORTNAME to Bitter essentially renames the port, requires an entry in MOVED and can upset our users. Just adding GH_PROJECT=Bitter is enough to make WRKSRC work as expected.
- I've dropped the FETCH_BEFORE_ARGS line since it is no longer necessary.
Comment 7 commit-hook freebsd_committer 2019-11-20 17:58:50 UTC
A commit references this bug:

Author: rakuco
Date: Wed Nov 20 17:58:33 UTC 2019
New revision: 518042
URL: https://svnweb.freebsd.org/changeset/ports/518042

Log:
  MFH: r517821

  Unbreak the port.

  - Switch to fetching from GitHub.
  - The GitHub release uses a different versioning method (or rather, it follows
    a convention, while the zip file in the previous MASTER_SITES did not).
  - Add NO_ARCH since we only install OTF files.

  PR:		241858
  Submitted by:	m.ne@gmx.net

  Approved by:	ports-secteam (joneum)

Changes:
_U  branches/2019Q4/
  branches/2019Q4/x11-fonts/bitter/Makefile
  branches/2019Q4/x11-fonts/bitter/distinfo